org.apache.ivy.core.install

## Interface InstallEngineSettings

All Superinterfaces:
  ParserSettings

All Known Implementing Classes:
  IvySettings

    public interface InstallEngineSettings
    extends ParserSettings

### Method Summary

Methods
`PatternMatcher` `getMatcher(java.lang.String matcherName)`
`java.util.Collection` `getMatcherNames()`
`ReportOutputter[]` `getReportOutputters()`
`DependencyResolver` `getResolver(java.lang.String from)`
`java.util.Collection` `getResolverNames()`
`StatusManager` `getStatusManager()`
`boolean` `logNotConvertedExclusionRule()`
`void` `setLogNotConvertedExclusionRule(boolean log)`

### Methods inherited from interface org.apache.ivy.plugins.parser.ParserSettings

`getConflictManager, getContextNamespace, getDefaultBranch, getNamespace, getRelativeUrlResolver, getResolutionCacheManager, getResolver, resolveFile, substitute, substitute`

### Method Detail

#### getResolver

    DependencyResolver getResolver(java.lang.String from)

#### getResolverNames

    java.util.Collection getResolverNames()

#### getReportOutputters

    ReportOutputter[] getReportOutputters()

#### setLogNotConvertedExclusionRule

    void setLogNotConvertedExclusionRule(boolean log)

#### getStatusManager

    StatusManager getStatusManager()

Specified by:
  `getStatusManager` in interface `ParserSettings`

#### logNotConvertedExclusionRule

    boolean logNotConvertedExclusionRule()

#### getMatcher

    PatternMatcher getMatcher(java.lang.String matcherName)

Specified by:
  `getMatcher` in interface `ParserSettings`

#### getMatcherNames

    java.util.Collection getMatcherNames()